MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::LinOPSimpleCo Class Reference

The LinOPSimpleCo class describes an out-of-plane component of a linear bend internal coordinate of a molecule. More...

`#include <simple.h>`

Inheritance diagram for sc::LinOPSimpleCo:

List of all members.

## Public Member Functions

| LinOPSimpleCo (const LinOPSimpleCo &)
| LinOPSimpleCo (const char *refr, int, int, int, const SCVector3 &u)
| This constructor takes a string containing a label, and three integers a, b, and c which give the indices of the atoms involved in the linear angle abc.
| LinOPSimpleCo (const Ref< KeyVal > &)
| The KeyVal constructor.
const char * | ctype () const
| Always returns the string "LINIP".
double | radians () const
| Returns the value of the angle abc in radians.
double | degrees () const
| Returns the value of the angle abc in degrees.
double | preferred_value () const
| Returns the value of the angle abc in degrees.

## Detailed Description

The LinOPSimpleCo class describes an out-of-plane component of a linear bend internal coordinate of a molecule.

The input is described in the documentation of its parent class SimpleCo. A vector, , given as the keyword u, that is not colinear with either or must be provided, where , , and are the positions of the first, second, and third atoms, respectively.

Usually, LinOPSimpleCo is used with a corresponding LinIPSimpleCo, which is given exactly the same u.

Designating the three atoms as , , and and their cartesian positions as , , and , the value of the coordinate, , is given by

## Constructor & Destructor Documentation

sc::LinOPSimpleCo::LinOPSimpleCo | ( | const char * | refr,
|  | int | ,
|  | int | ,
|  | int | ,
|  | const SCVector3 & | u
| ) |  |

This constructor takes a string containing a label, and three integers a, b, and c which give the indices of the atoms involved in the linear angle abc.

The last argument, u, is a unit vector used to defined the direction perpendicular to the direction in which distortion is measured. Atom numbering begins at atom 1, not atom 0.

sc::LinOPSimpleCo::LinOPSimpleCo | ( | const Ref< KeyVal > & |  | ) |

The KeyVal constructor.

This calls the SimpleCo keyval constructor with an integer argument of 3.

The documentation for this class was generated from the following file:

- simple.h